Name:			fotoxx
Version:		13.01.1
Release:		%mkrel 2
Summary:		Editor of image files from digital cameras
License:		GPLv3
Group:			Graphics/Editors and Converters
Source0:		http://www.kornelix.com/uploads/1/3/0/3/13035936/%{name}-%{version}.tar.gz
Patch0:			fotoxx-12.11-mga-link_against_pthread.patch
URL:			http://www.kornelix.com/fotoxx.html
BuildRequires:		gtk+3.0-devel
BuildRequires:		ufraw
BuildRequires:		perl-Image-ExifTool
BuildRequires:		tiff-devel
BuildRequires:		xdg-utils
Requires:		exiv2
Requires:		ufraw
Requires:		perl-Image-ExifTool
Requires:		dcraw

%description
Edit image files from a digital camera. Includes color and contrast
enhancement, red-eye removal, sharpen, crop, rotate, noise removal,
HDR (high dynamic range) and panorama image compositing, thumbnail
image browser, tag editing and search.

%prep
%setup -q
%patch0 -p1

%build
%make

%install
%makeinstall_std

# menu icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
cp %{buildroot}%{_datadir}/%{name}/icons/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

# (tpg) drop upstream desktop file
rm -rf %{buildroot}%{_datadir}/applications/kornelix-%{name}.desktop

# menu entry
mkdir -p %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=%{name}
GenericName=Image Editor
Comment=Edit image files from a digital camera
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Graphics;X-MandrivaLinux-CrossDesktop;
EOF

%files

%{_docdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_mandir}/man1/%{name}.1*



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 13.01.1-2.mga3
+ Revision: 350788
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Mon Jan 07 2013 juancho <juancho> 13.01.1-1.mga3
+ Revision: 340958
- Updated to 13.01.1

* Wed Dec 26 2012 juancho <juancho> 12.12.2-1.mga3
+ Revision: 335263
- Updated to version 12.12.2

* Thu Nov 29 2012 juancho <juancho> 12.11-1.mga3
+ Revision: 323164
- Updated to 12.11

* Mon Oct 08 2012 juancho <juancho> 12.10.1-2.mga3
+ Revision: 303555
- Added Requires: dcraw

* Mon Oct 08 2012 juancho <juancho> 12.10.1-1.mga3
+ Revision: 303379
- Updated to 12.10.1

* Mon Aug 06 2012 juancho <juancho> 12.08-1.mga3
+ Revision: 279578
- Updated to 12.08

* Tue Jun 05 2012 juancho <juancho> 12.06.1-1.mga3
+ Revision: 255938
- Updated to 12.06.1

* Mon Mar 05 2012 juancho <juancho> 12.03.1-1.mga2
+ Revision: 219263
- Updated to 12.03.1

* Thu Mar 01 2012 juancho <juancho> 12.02-1.mga2
+ Revision: 216352
- Updated to 12.02
- Removed old BuildRoot stuff

  + ofaurax <ofaurax>
    - Missing BuildRequires: glibc-devel, for pthread.h
    - Upgrade new package to new version
    - imported package fotoxx

